/* Default configuration */

.flexy-menu {
	width: 100%;
	margin: 0;
	padding: 0;
	position: relative;
	float: left;
	list-style: none;
	font-size: .9rem;						/* Basisschriftgröße */
	background-color: transparent;
}
.flexy-menu li {
	display: inline-block;
	margin: 0;
	padding: 0;
	float: left;
	line-height: 1.25rem;					/* Basiszeilenabstand */
	position: relative;
	list-style-type:none;
}
.flexy-menu > li > a {
	padding: .9rem 1.25rem .25rem 0rem;	/* Basisabstände Text - Rand -> Horizontales Menu */
	background-color: transparent;			/* Basishintergrundfarbe */
	color: #606060;							/* Textfarbe Menueinträge */
	text-decoration: none;
	display: block;
	text-transform: uppercase;
	font-weight: 400;						/* Font Weight */
	transition: all 700ms ease;
}

/* Active Element */

.flexy-menu li.active > a { color: #0045b7; }

/* Hover Effect */

.flexy-menu li:hover > a { color: #0A89CE; }

/* Right alignment (item) */

.flexy-menu li.right { float: right; }

/* Drop down configuration */

.flexy-menu ul, .flexy-menu ul li ul {
	list-style: none;
	margin: 0;
	padding: 0;
	display: none;
	position: absolute;
	z-index: 99999;
	width: 7rem;											/* Breite der Untermenus */
	background-color: rgba(250,250,250,0.9);				/* Basis Hintergrundfarbe Dropdown Einträge */
	box-shadow: 0 3px 3px rgba(0,0,0,0.2);
}
.flexy-menu ul {
	top: 100%;
	left: 0;
}
.flexy-menu ul li ul {
	top: 0;
	left: 100%;
}
.flexy-menu ul li {
	clear: both;
	width: 100%;
	border: none;

}
.flexy-menu ul li a {
	padding: .5rem 1rem;					/* Basisabstände Text Dropdown - Rand Horizontal */
	width: 100%;
	color: #909090;							/* Textfarbe Dropdown Einträge */
	/* background-color: #ababcd;			/* Hintergrundfarbe Dropdown */
	font-size: .9rem;						/* Textgröße Dropdown Einträge */
	text-decoration: none;
	display: inline-block;
	float: left;
	clear: both;
	transition: color 250ms ease, background 250ms ease;
}

/* Drop down indicators */

.flexy-menu > li .indicator {
	position: absolute;
	color: #aaa;							/* Dropdown Indicator Farbe */
	top: 0.75em;
	right: 0.7em;
	font-size: 1.1rem;
}
.flexy-menu ul > li .indicator {			/* Dropdown Indicator Position Dropddown Menus */
	top: 0.4em;
	right: .8em;
}

/* Collapsible menu configuration */

.flexy-menu > li.showhide {
	display: none;
	width: 100%;
	cursor: pointer;
	color: #606060;							/* Farbe Text MENU */
	background: transparent;				/* Hintergrundfarbe Collapsible Menu */
	border-radius: 0px;
}
.flexy-menu > li.showhide span.title {
	margin: 1em 1em .5em 0em;
	float: left;
	font-weight: 700;
}
.flexy-menu > li.showhide span.icon {
	margin: 1em 1.5em .5em 1.5em;
	float: right;
}
.flexy-menu > li.showhide .icon em {
	margin-bottom: 3px;
	display: block;
	width: 1.5em;
	height: 2px;
	background-color: #606060;				/* Farbe Sandwich Zeichen */
}

/* Vertical Menu configuration */

.flexy-menu.vertical { width: 100%; }
.flexy-menu.vertical li { width: 100%; }

.flexy-menu.vertical li a {
	display: inline-block !important;
	width: 100%;
	padding: .6rem;							/* Padding im vertikalen Menu */
}

.flexy-menu.vertical ul li { width: 100%; }

/* Drop down on vertical menu */

.flexy-menu.vertical ul, .flexy-menu.vertical ul li ul {
	width: 12rem;							/* Breite Dropdown Einträge */
}
.flexy-menu.vertical ul {
	top: 0;
	left: 100%;
}
.flexy-menu.vertical ul li ul {
	top: 0;
}

/* Vertical menu on right side */

.flexy-menu.vertical.right { float: right !important; }
.flexy-menu.vertical.right ul { left: -150px !important; }

/* Indicator on vertical menu */

.flexy-menu.vertical > li .indicator {
	top: 0.5em;
	right: .8em;
	font-size: 1rem;
}
.flexy-menu.vertical ul > li .indicator {
	top: 0.5em;
	right: 1em;
}

/* Responsive design */

@media ( max-width: 768px ) {

	.flexy-menu-wrapper.scrollable {
		overflow-y: auto;
		-webkit-overflow-scrolling: touch;
	}
	.flexy-menu.vertical {
		width: 100%;
	}
	.flexy-menu li {
		display: block;
		width: 100%;
		background-color: rgba(250,250,250,.95);
	}

	li:nth-child(2) { border-top-left-radius: 5px; border-top-right-radius: 5px; }
	li:last-child   { border-bottom-left-radius: 5px; border-bottom-right-radius: 5px; }

	.flexy-menu > li > a {
		padding:.75rem;
		border-top: 1px solid #ddd;
	}

	.flexy-menu > li.active > a {

	}
	.flexy-menu a {
		width: 100%;
	}
	.flexy-menu ul,
	.flexy-menu ul li ul,
	.flexy-menu.vertical ul,
	.flexy-menu.vertical ul li ul{
		width: 100%;
		left: 0;
		border-left: none;
		position: static;
	}
	.flexy-menu ul li {
		border-left: none;
		border-right: none;
	}
	.flexy-menu ul li a,
	.flexy-menu.vertical ul li a {
		padding: .75rem 0 .75rem 1.5rem;		/* Basisabstände Text Dropdown - Rand Horizontal */
		border-bottom: 1px solid #ddd;
		border-left: 0px;						/* Falls 'Active' linker Rand im Unternmenu nicht */
	}
	.flexy-menu ul > li > a {
		padding-left: 1.5rem !important;
	}
	.flexy-menu > li .indicator {
		top: 0.5em;
		right: 0.5em;
		font-size: 1.2rem;
	}
	.flexy-menu ul > li .indicator {
		right: 1em;
	}
	.flexy-menu.vertical ul > li .indicator {
		top: 0.5em;
		right: 1em;
	}
	.flexy-menu > li > ul > li > a { padding-left: 1.5rem !important; }
	.flexy-menu > li > ul > li > ul > li > a { padding-left: 2rem !important; }
	.flexy-menu > li > ul > li > ul > li > ul > li > a { padding-left: 2.5rem !important; }
}
